package com.za.bean


/**
 * Created by DoggieX on 2017/7/26.
 */
class BaseResponse<T> {
    var code: Int = 0
    var msg: String? = null
    var message: String? = null
    var result: T? = null

    val isOk: Boolean
        get() = code == 0 || code == 200

    override fun toString(): String {
        return "BaseResponse{" +
                "code=" + code +
                ", msg='" + msg + '\'' +
                ", message='" + message + '\'' +
                ", result=" + result +
                '}'
    }
}
